Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistrySLA

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistrySLA

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistrySLA

extends java.lang.Object
implements EPPCodecComponent

See Also:
  Serialized Form

Nested Class Summary
`class` | `EPPRegistrySLA.Unit`

Field Summary
`static java.lang.String` | `ATTR_COMMAND`
`static java.lang.String` | `ATTR_SUBTYPE`
`static java.lang.String` | `ATTR_TYPE`
`static java.lang.String` | `ATTR_UNIT`
`static java.lang.String` | `COMMAND_CONTACT_CREATE`
`static java.lang.String` | `COMMAND_CONTACT_DELETE`
`static java.lang.String` | `COMMAND_CONTACT_UPDATE`
`static java.lang.String` | `COMMAND_DOMAIN_CHECK`
`static java.lang.String` | `COMMAND_DOMAIN_CREATE`
`static java.lang.String` | `COMMAND_DOMAIN_DELETE`
`static java.lang.String` | `COMMAND_DOMAIN_UPDATE`
`static java.lang.String` | `COMMAND_LOGIN`
`static java.lang.String` | `COMMAND_LOGOUT`
`static java.lang.String` | `COMMAND_NAMESERVER_CREATE`
`static java.lang.String` | `COMMAND_NAMESERVER_DELETE`
`static java.lang.String` | `COMMAND_NAMESERVER_UPDATE`
`static java.lang.String` | `COMMAND_SUGGESTION_INFO`
`static java.lang.String` | `ELM_NAME`

Constructor Summary
`EPPRegistrySLA()`
`EPPRegistrySLA(java.lang.String type, java.lang.String subtype, java.lang.String command, java.math.BigDecimal value, java.lang.String unit)`
`EPPRegistrySLA(java.lang.String type, java.lang.String subtype, java.lang.String command, double value, java.lang.String unit)`

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)`
`java.lang.String` | `getCommand()`
`java.lang.String` | `getSubtype()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUnit()`
`java.math.BigDecimal` | `getValue()`
`void` | `setCommand(java.lang.String command)`
`void` | `setSubtype(java.lang.String subtype)`
`void` | `setType(java.lang.String type)`
`void` | `setUnit(java.lang.String unit)`
`void` | `setValue(java.math.BigDecimal value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMAND_DOMAIN_CREATE

    public static final java.lang.String COMMAND_DOMAIN_CREATE

See Also:
  Constant Field Values

### COMMAND_DOMAIN_UPDATE

    public static final java.lang.String COMMAND_DOMAIN_UPDATE

See Also:
  Constant Field Values

### COMMAND_DOMAIN_DELETE

    public static final java.lang.String COMMAND_DOMAIN_DELETE

See Also:
  Constant Field Values

### COMMAND_CONTACT_CREATE

    public static final java.lang.String COMMAND_CONTACT_CREATE

See Also:
  Constant Field Values

### COMMAND_CONTACT_DELETE

    public static final java.lang.String COMMAND_CONTACT_DELETE

See Also:
  Constant Field Values

### COMMAND_CONTACT_UPDATE

    public static final java.lang.String COMMAND_CONTACT_UPDATE

See Also:
  Constant Field Values

### COMMAND_NAMESERVER_CREATE

    public static final java.lang.String COMMAND_NAMESERVER_CREATE

See Also:
  Constant Field Values

### COMMAND_NAMESERVER_DELETE

    public static final java.lang.String COMMAND_NAMESERVER_DELETE

See Also:
  Constant Field Values

### COMMAND_NAMESERVER_UPDATE

    public static final java.lang.String COMMAND_NAMESERVER_UPDATE

See Also:
  Constant Field Values

### COMMAND_DOMAIN_CHECK

    public static final java.lang.String COMMAND_DOMAIN_CHECK

See Also:
  Constant Field Values

### COMMAND_SUGGESTION_INFO

    public static final java.lang.String COMMAND_SUGGESTION_INFO

See Also:
  Constant Field Values

### COMMAND_LOGIN

    public static final java.lang.String COMMAND_LOGIN

See Also:
  Constant Field Values

### COMMAND_LOGOUT

    public static final java.lang.String COMMAND_LOGOUT

See Also:
  Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

See Also:
  Constant Field Values

### ATTR_COMMAND

    public static final java.lang.String ATTR_COMMAND

See Also:
  Constant Field Values

### ATTR_TYPE

    public static final java.lang.String ATTR_TYPE

See Also:
  Constant Field Values

### ATTR_SUBTYPE

    public static final java.lang.String ATTR_SUBTYPE

See Also:
  Constant Field Values

### ATTR_UNIT

    public static final java.lang.String ATTR_UNIT

See Also:
  Constant Field Values

Constructor Detail

### EPPRegistrySLA

    public EPPRegistrySLA()

### EPPRegistrySLA

    public EPPRegistrySLA(java.lang.String type,
                          java.lang.String subtype,
                          java.lang.String command,
                          java.math.BigDecimal value,
                          java.lang.String unit)

### EPPRegistrySLA

    public EPPRegistrySLA(java.lang.String type,
                          java.lang.String subtype,
                          java.lang.String command,
                          double value,
                          java.lang.String unit)

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Description copied from interface: `EPPCodecComponent`
  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Description copied from interface: `EPPCodecComponent`
  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `EPPCodecComponent`
  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getValue

    public java.math.BigDecimal getValue()

### setValue

    public void setValue(java.math.BigDecimal value)

### getUnit

    public java.lang.String getUnit()

### setUnit

    public void setUnit(java.lang.String unit)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getCommand

    public java.lang.String getCommand()

### setCommand

    public void setCommand(java.lang.String command)

### getSubtype

    public java.lang.String getSubtype()

### setSubtype

    public void setSubtype(java.lang.String subtype)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.